import { Wallet } from 'ethers';
import { logger } from './logger.js';

function generateKey(): void {
  const wallet = Wallet.createRandom();

  const privateKey = wallet.privateKey;
  const address = wallet.address;

  logger.info('Generated txnBot wallet', { privateKey, address });
}

generateKey();
